/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2004-2011 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/********************************************************************************/
/*                                                                              */
/*                                  Pio (C++)                                   */
/*                                                                              */
/*                        Polyglot Input/Output Library                         */
/*                                                                              */
/*                      projet Estime, INRIA-Rocquencourt                       */
/*                                                                              */
/*  Copyright 2004-2011 INRIA.                                                  */
/*  Institut National de Recherche en Informatique et en Automatique.           */
/*  All rights reserved. This file is distributed only by permission.           */
/*                                                                              */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                                */
/*                                                                              */
/********************************************************************************/

/***********************************************************************/
/*                                                                     */
/*                              PIO (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2005-2007 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: vector_type.cpp,v 1.3 2011-02-23 17:43:29 fclement Exp $ */

#include "vector_type.hpp"

namespace io{

  //Vector_type
  Single_type Vector_type::type() const {return vector_type;}
  //constructeurs:
  Vector_type::Vector_type(const vector<int> &x):i(x){vector_type = INT;}
  Vector_type::Vector_type(const vector<boolean> &x):b(x){vector_type = BOOLEAN;}
  Vector_type::Vector_type(const vector<double> &x):d(x){vector_type = FLOAT;}
  Vector_type::Vector_type(const vector<string> &x):s(x){vector_type = STRING;}
  Vector_type::Vector_type(const vector<float_triple> &x):ft(x){vector_type = FLOAT_TRIPLE;}
  Vector_type::Vector_type(const vector<float_couple> &x):fc(x){vector_type = FLOAT_COUPLE;}
  Vector_type::Vector_type(const vector<int_triple> &x):it(x){vector_type = INT_TRIPLE;}
  Vector_type::Vector_type(const vector<int_couple> &x):ic(x){vector_type = INT_COUPLE;}
  Vector_type::Vector_type(const vector<boolean_triple> &x):bt(x){vector_type = BOOLEAN_TRIPLE;}
  Vector_type::Vector_type(const vector<boolean_couple> &x):bc(x){vector_type = BOOLEAN_COUPLE;}
  //destructeur:
  Vector_type::~Vector_type(){}
  //convertisseurs:
  vector<int> & Vector_type::to_int(){return i.data();}
  vector<boolean> & Vector_type::to_boolean(){return b.data();}
  vector<double> & Vector_type::to_float(){return d.data();}
  vector<string> & Vector_type::to_string(){return s.data();}
  vector<float_triple> & Vector_type::to_float_triple(){return ft.data();}
  vector<float_couple> & Vector_type::to_float_couple(){return fc.data();}
  vector<int_triple> & Vector_type::to_int_triple(){return it.data();}
  vector<int_couple> & Vector_type::to_int_couple(){return ic.data();}
  vector<boolean_triple> & Vector_type::to_boolean_triple(){return bt.data();}
  vector<boolean_couple> & Vector_type::to_boolean_couple(){return bc.data();}
  const vector<int> & Vector_type::to_int()const {return i.data();}
  const vector<boolean> & Vector_type::to_boolean()const {return b.data();}
  const vector<double> & Vector_type::to_float()const {return d.data();}
  const vector<string> & Vector_type::to_string()const {return s.data();}
  const vector<float_triple> & Vector_type::to_float_triple()const {return ft.data();}
  const vector<float_couple> & Vector_type::to_float_couple()const {return fc.data();}
  const vector<int_triple> & Vector_type::to_int_triple()const {return it.data();}
  const vector<int_couple> & Vector_type::to_int_couple()const {return ic.data();}
  const vector<boolean_triple> & Vector_type::to_boolean_triple()const {return bt.data();}
  const vector<boolean_couple> & Vector_type::to_boolean_couple()const {return bc.data();}


}
